
/*
 *  Copyright (C) 2018 Juergen Platzer 
 * 
 *  This file is part of GpxParser.
 *  
 *  GpxParser is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU Lesser General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *  
 *  GpxParser is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Lesser General Public License for more details.
 *  
 *  You should have received a copy of the GNU Lesser General Public License
 *  along with GpxParser.  If not, see <http://www.gnu.org/licenses/>.
 */
 
 

import java.util.Properties;
import java.io.BufferedInputStream;
import java.io.FileInputStream;

public class Configuration {

  /*** member variables ***/
  private Properties m_pProperties;
  //////////////////////////
  // CONSTRUCTOR          //
  //////////////////////////
  public Configuration(String pConfigFile) throws Exception {
    //1. make some checks
    if (pConfigFile == null) throw new NullPointerException("No config file has been specified!");
    
    //2. load the properties
    m_pProperties = new Properties();
    BufferedInputStream pInputStream = new BufferedInputStream(new FileInputStream(pConfigFile));
    m_pProperties.load(pInputStream);
    pInputStream.close();
    
    
    
    
  }
  
  public Configuration(Properties pProperties) throws Exception {
    if (pProperties == null) throw new NullPointerException("No properties file has been specified!");
    m_pProperties = pProperties;
  }
  
  
  ///////////////////////////
  // GET METHODS           //
  ///////////////////////////
  public String getProperty(String pProperty) {
    return m_pProperties.getProperty(pProperty);
  }

  
  
  //////////////////////////////
  // SET METHODS              //
  //////////////////////////////
  

}