
/*
 *  Copyright (C) 2018 Juergen Platzer 
 * 
 *  This file is part of GpxParser.
 *  
 *  GpxParser is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU Lesser General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *  
 *  GpxParser is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Lesser General Public License for more details.
 *  
 *  You should have received a copy of the GNU Lesser General Public License
 *  along with GpxParser.  If not, see <http://www.gnu.org/licenses/>.
 */

import java.util.Vector;

public class HeightAnalysis {

  /*** member variables ***/
  private Vector<TrackPoint> m_pTrackPoints;
  private Vector<Target> m_pTargets;
  
  ////////////////////////////////
  // CONSTRUCTOR                //
  ////////////////////////////////
  public HeightAnalysis(Vector<TrackPoint> pTrackPoints, Vector<Target> pTargets) throws Exception {
    m_pTrackPoints = pTrackPoints;
    m_pTargets = pTargets;
  }
  
  
  ////////////////////////////////
  // GET METHODS                //
  ////////////////////////////////
  public Vector<String> getCsvData() {
    Vector<String> pData = new Vector<String>();
    
    int iTrackPointNum = m_pTrackPoints.size();
    Target pPreviousTarget = m_pTargets.get(0);
    Target pNextTarget = m_pTargets.get(1);
    for (int i = 0; i < iTrackPointNum; i++) {
      TrackPoint pCurrentTrackPoint = m_pTrackPoints.get(i);
      pData.add(pCurrentTrackPoint.getHeightMapData(pPreviousTarget, pNextTarget));
      
      //to do: switch the targets accordingly
    }
    
    
    return pData;
    
    /*
    //TO DO:
Kilometer bis zum nächsten Ziel
Kilometer weg vom vorherigen Ziel
Minuten bis zum nächsten Ziel
Minuten weg vom vorherigen Ziel
Höhendifferenz zu nächsten Ziel
Höhendifferenz zu vorherigem Ziel
    */
  }

}