
/*
 *  Copyright (C) 2018 Juergen Platzer 
 * 
 *  This file is part of GpxParser.
 *  
 *  GpxParser is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU Lesser General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *  
 *  GpxParser is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Lesser General Public License for more details.
 *  
 *  You should have received a copy of the GNU Lesser General Public License
 *  along with GpxParser.  If not, see <http://www.gnu.org/licenses/>.
 */
 

public class TextLineDifference {


  /*** member variables ***/
  private int m_iLineId;
  private String m_strLine1, m_strLine2;
  
  ///////////////////////////////
  // CONSTRUCTOR               //
  ///////////////////////////////
  public TextLineDifference(int iLineId, String strLine1, String strLine2) {
    m_iLineId = iLineId;
    m_strLine1 = Utilities.prepareString(strLine1);
    m_strLine2 = Utilities.prepareString(strLine2);
  }
  
  ///////////////////////////////
  // GET METHODS               //
  ///////////////////////////////
  public boolean isDifferent() {
    return !m_strLine1.equals(m_strLine2);
  }
  
  public String toString() {
    String pPrefix = "Line " + m_iLineId + ": ";
    if (isDifferent()) {
      return pPrefix + "'" + m_strLine1 + "' vs. '" + m_strLine2 + "'";
    }
    else {
      return pPrefix + "OK";
    }
  }

}